v_hdmitxss: V_hdmitxss_v5_4

| v_hdmitxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
V_hdmitxss_v5_4

## Functions
int | XV_HdmiTxSs_SubcoreInitHdmiTx (XV_HdmiTxSs *HdmiTxSsPtr)
| This function initializes the included sub-core to it's static configuration. More...
int | XV_HdmiTxSs_SubcoreInitVtc (XV_HdmiTxSs *HdmiTxSsPtr)
| This function initializes the included sub-core to it's static configuration. More...
XV_HdmiTxSs_Config * | XV_HdmiTxSs_LookupConfig (u32 DeviceId)
| This function looks for the device configuration based on the unique device ID. More...

## Function Documentation

XV_HdmiTxSs_Config* XV_HdmiTxSs_LookupConfig | ( | u32 | DeviceId | ) |

This function looks for the device configuration based on the unique device ID.

The table XV_HdmiTxSs_ConfigTable[] contains the configuration information for each instance of the device in the system.

Parameters

  DeviceId | is the unique device ID of the device being looked up

Returns
  A pointer to the configuration table entry corresponding to the given device ID, or NULL if no match is found

int XV_HdmiTxSs_SubcoreInitHdmiTx | ( | XV_HdmiTxSs * | HdmiTxSsPtr | ) |

This function initializes the included sub-core to it's static configuration.

Parameters

  HdmiTxSsPtr | is a pointer to the Subsystem instance to be worked on.

Returns
  XST_SUCCESS/XST_FAILURE

References XV_HdmiTxSs_SubCore::AbsAddr, XV_HdmiTxSs::Config, XV_HdmiTxSs_SubCore::DeviceId, XV_HdmiTxSs_Config::HdmiTx, XV_HdmiTxSs::HdmiTxPtr, XV_HDMITXSS_LOG_EVT_HDMITX_INIT, XV_HdmiTxSs_LogWrite(), and XV_HdmiTxSS_SetHdmiMode().

Referenced by XV_HdmiTxSs_CfgInitialize().

int XV_HdmiTxSs_SubcoreInitVtc | ( | XV_HdmiTxSs * | HdmiTxSsPtr | ) |

This function initializes the included sub-core to it's static configuration.

Parameters

  HdmiTxSsPtr | is a pointer to the Subsystem instance to be worked on.

Returns
  XST_SUCCESS/XST_FAILURE

References XV_HdmiTxSs_SubCore::AbsAddr, XV_HdmiTxSs::Config, XV_HdmiTxSs_SubCore::DeviceId, XV_HdmiTxSs_Config::Vtc, XV_HdmiTxSs::VtcPtr, XV_HDMITXSS_LOG_EVT_VTC_INIT, and XV_HdmiTxSs_LogWrite().

Referenced by XV_HdmiTxSs_CfgInitialize().